Package org.eclipse.emf.cdo.workspace

## Interface CDOWorkspace.DirtyStateChangedEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    CDOWorkspace

      public static interface CDOWorkspace.DirtyStateChangedEvent
      extends org.eclipse.net4j.util.event.IEvent

  An `event` fired when the overall state of the `workspace` changes between dirty and clean.
  Since:
    4.1
  Author:
    Eike Stepper
  See Also:
    `CDOWorkspace.isDirty()`
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOWorkspace` | `getSource()` |
    `boolean` | `isDirty()` |

- - ### Method Detail

    - #### getSource

          CDOWorkspace getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
      Since:
        4.2

    - #### isDirty

          boolean isDirty()